/*
 * @author Ben Mazyopa email: ben.mazyopa@cbu.ac.zm
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
 * 
 * Copyright 2009, Ben Mazyopa. All rights reserved.
 * 
 * The contents of this file are subject to the terms of either the GNU
 * General Public License Version 2 only ("GPL") or the Common Development
 * and Distribution License("CDDL") (collectively, the "License").  You
 * may not use this file except in compliance with the License
 * 
 */
package org.idc.upload;
 
import javax.el.ValueExpression;
import javax.faces.component.UIComponent;
import javax.faces.webapp.UIComponentELTag;
 
public class UploadTag extends UIComponentELTag {
    private ValueExpression value;
    private ValueExpression target;
 
    public String getRendererType() { return "org.idc.upload.Upload"; }
    public String getComponentType() { return "org.idc.upload.Upload"; }
 
    public void setValue(ValueExpression newValue) { value = newValue; }
    public void setTarget(ValueExpression newValue) { target = newValue; }
    
    public void setProperties(UIComponent component) {
        super.setProperties(component);
        component.setValueExpression("target", target);
        component.setValueExpression("value", value);
    }
    
    public void release() {
        super.release();
        value = null;
        target = null;
     }
}